Bug 644037 - kernel BUG at mm/huge_memory.c:1267! - mapcount 5 page_mapcount 4 [rhel-6.0.z]
Summary: kernel BUG at mm/huge_memory.c:1267! - mapcount 5 page_mapcount 4 [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Chao Ye
URL:
Whiteboard:
Depends On: 642570
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-18 19:11 UTC by Benjamin Kahn
Modified: 2010-11-11 11:56 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-71.5.1.el6
Doc Type: Bug Fix
Doc Text:
The fork() system call led to an rmap walk finding the parent huge-pmd twice instead of once, thus causing a discrepancy between the mapcount and page_mapcount check, which could have led to erratic page counts for subpages. This fix ensures that that the rmap walk is accurate when a process is forked, thus resolving the issue.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:11:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description Benjamin Kahn 2010-10-18 19:11:41 UTC
This bug has been copied from bug #642570 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-10-20 06:22:41 UTC
in 2.6.32-71.5.1.el6

Comment 4 QiangGao 2010-10-25 05:38:01 UTC
Confirm patch is included in 2.6.32-71.5.1.el6.x86_64

Comment 11 errata-xmlrpc 2010-11-10 19:11:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 12 Martin Prpič 2010-11-11 11:56:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The fork() system call led to an rmap walk finding the parent huge-pmd twice instead of once, thus causing a discrepancy between the mapcount and page_mapcount check, which could have led to erratic page counts for subpages. This fix ensures that that the rmap walk is accurate when a process is forked, thus resolving the issue.


Note You need to log in before you can comment on or make changes to this bug.